Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt

Use this file to discover all available pages before exploring further.

Get email by Id
GET https://services.leadconnectorhq.com/conversations/messages/email/{id}

Autorizacion

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticacion.
Version
string
default:"2021-07-28"
required
Version de la API.

Respuestas

id
string
default:"ve9EPM428h8vShlRW1KT"
required
altId
string
default:"ve9EPM428h8vShlRW1KT"
External Id
threadId
string
default:"ve9EPM428h8vShlRW1KT"
required
Message Id or thread Id
locationId
string
default:"ve9EPM428h8vShlRW1KT"
required
contactId
string
default:"ve9EPM428h8vShlRW1KT"
required
conversationId
string
default:"ve9EPM428h8vShlRW1KT"
required
dateAdded
string
default:"2024-03-27T18:13:49.000Z"
required
subject
string
default:"Order confirm"
body
string
default:"Hi there"
required
direction
string
required
Posibles valores: ‘inbound’, ‘outbound’
status
string
Posibles valores: ‘pending’, ‘scheduled’, ‘sent’, ‘delivered’, ‘read’, ‘undelivered’, ‘connected’, ‘failed’, ‘opened’
contentType
string
default:"text/plain"
required
attachments
string[]
An array of attachment URLs.
provider
string
from
string
required
Name and Email Id of the sender
to
string[]
required
List of email Ids of the receivers
cc
string[]
List of email Ids of the people in the cc field
bcc
string[]
List of email Ids of the people in the bcc field
replyToMessageId
string
In case of reply, email message Id of the reply to email
source
string
Email source Posibles valores: ‘workflow’, ‘bulk_actions’, ‘campaign’, ‘api’, ‘app’
conversationProviderId
string
default:"cI08i1Bls3iTB9bKgF01"
Conversation provider ID
{
  "id": "ve9EPM428h8vShlRW1KT",
  "altId": "ve9EPM428h8vShlRW1KT",
  "threadId": "ve9EPM428h8vShlRW1KT",
  "locationId": "ve9EPM428h8vShlRW1KT",
  "contactId": "ve9EPM428h8vShlRW1KT",
  "conversationId": "ve9EPM428h8vShlRW1KT",
  "dateAdded": "2024-03-27T18:13:49.000Z",
  "subject": "Order confirm",
  "body": "Hi there",
  "direction": "inbound",
  "status": "pending",
  "contentType": "text/plain",
  "attachments": [
    "string"
  ],
  "provider": "string",
  "from": "string",
  "to": [
    "string"
  ],
  "cc": [
    "string"
  ],
  "bcc": [
    "string"
  ],
  "replyToMessageId": "string",
  "source": "workflow",
  "conversationProviderId": "cI08i1Bls3iTB9bKgF01"
}

Ejemplo

curl -X GET 'https://services.leadconnectorhq.com/conversations/messages/email/YOUR_id' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'